<template>
    <router-view/>
</template>
<script>
import { projectName } from "./config";
import { getUrlSearch } from "./utils/index";
export default {
  components: {},
  data() {
    return {
      
    };
  },
  computed: {
    
  },
  created() {
    let _pt=window.__loginCfg&&window.__loginCfg.pageType;
    let _red=window.__loginCfg&&window.__loginCfg.redirect;
    let _param=this.getParam();
    if(_pt){
        switch(_pt){
            case "mini":
              this.$router.replace({
                  name:"miniLogin",
                  params:_param,
              });
              break;
            case "middle":
              this.$router.replace({
                  name:"middlePage",
                  params:_param,
              });
              break;
            case "sso-middle":
              this.$router.replace({
                  name:"ssoMiddlePage",
                  params:_param,
              });
              break;
        }
    }
  },
  mounted(){

  },
  methods: {
    getParam(){
      let hash=location.hash;
      let result={};
      result=getUrlSearch("?"+hash.substring(2));
      return result;
    },
  },
};
</script>
<style lang="scss">
</style>

